import http from '../http-request'

export default {
    /**
     * @api {POST} /doctor/consult/finish_consult
     * @apiVersion 0.0.1
     * @desc 结束当前咨询
     */
    uploadOver(consult) {
        return http.post('/doctor/consult/finish_consult', {
            'consult': consult
        })
    },
    /**
     * @api {POST} /doctor/consult/getConsultStatus
     * @apiVersion 0.0.1
     * @desc 获取咨询状态码 0 已结束
     */
    getConsultStatus(consultCode) {
        return http.post('/doctor/consult/getConsultStatus', {
            consult: consultCode
        })
    },
    /**
     * @api {POST} /doctor/consult/hasUnfinished
     * @apiVersion 0.0.1
     * @desc 名医咨询
     */
    getUnfinshed(doctorCode) {
        return http.post('/doctor/consult/hasUnfinished', {
            doctorCode: doctorCode
        })
    },
    /**
     * @api {GET} /doctor/consult/prescriptionDetail
     * @apiVersion 0.0.1
     * @desc 获取续方内容
     */
    getPrescriptionInfo(consultCode) {
        return http.get('/doctor/consult/prescriptionDetail', {
            consult: consultCode
        })
    },
    /**
     * @api {GET} /doctor/consult/getSessionId
     * @apiVersion 0.0.1
     * @desc 获取续方内容
     */
    getPatientSessionId(patient) {
        return http.get('/doctor/consult/getSessionId', {
            patient: patient
        })
    }
}
